# Generated by go2rpm 1
%bcond_without check

# https://github.com/aws/aws-lambda-go
%global goipath         github.com/aws/aws-lambda-go
Version:                1.26.0

%gometa

%global common_description %{expand:
Libraries, samples and tools to help Go developers develop AWS Lambda
functions.}

%global golicenses      LICENSE LICENSE-LAMBDACODE LICENSE-SUMMARY
%global godocs          README.md events/*.md

Name:           %{goname}
Release:        6%{?dist}
Summary:        Libraries, samples and tools to help Go developers develop AWS Lambda functions

# Upstream license specification: Apache-2.0 and MIT
License:        ASL 2.0 and MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/urfave/cli/v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE LICENSE-LAMBDACODE LICENSE-SUMMARY
%doc README.md events/*.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.26.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.26.0-5
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.26.0-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 27 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.26.0-1
- Update to latest upstream release 1.26.0 (closes #1982511)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 20:39:18 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.24.0-1
- Update to 1.24.0
- Close: rhbz#1963647

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 14:30:30 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.22.0-1
- Update to 1.22.0

* Thu Sep 03 23:50:05 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.19.1-1
- Initial package
